/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysuseroffice.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sysuseroffice.entity.Useroffice;

import java.util.List;

/**
 * 用户所在公司DAO接口
 * @author yangfan
 * @version 2017-08-07
 */
@MyBatisDao
public interface UserofficeDao extends CrudDao<Useroffice> {
    /**
     *
     * 查询用户-->用来添加到常用联系人
     *
     */
    public List<Useroffice> searchUsers(Useroffice useroffice);

    public List<Useroffice> findListByCompany(Useroffice useroffice);

    public List<Useroffice> searchUsersGroupByUserId(Useroffice useroffice);
    //部门调整修改部门
    public void updateOffice(Useroffice useroffice);
	public Useroffice findOfficeId(Useroffice useroffice);

    int countByOffice(String officeId);

    void deleteByCompany(String companyId);
}